--
-- TTVFunctions
-- Specialization for TTVFunctions
--
-- @author  	bisailb79
-- @version 	v1.0
-- @date  		2013-12-13
-- @history:	v1.0 - Initial version
--

TTVFunctions = {};

function TTVFunctions.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function TTVFunctions:load(xmlFile)
end;

function TTVFunctions:delete()
end;

function TTVFunctions:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TTVFunctions:keyEvent(unicode, sym, modifier, isDown)
end;

function TTVFunctions:update(dt)
end;

function TTVFunctions:draw()
	-- Add handThrottle Help Button Text
	if self.isEntered then	
		if self.isMotorStarted then
			g_currentMission:addHelpButtonText(g_i18n:getText("RESETRPM"), InputBinding.RESETRPM);
			g_currentMission:addHelpButtonText(g_i18n:getText("MORERPM"), InputBinding.MORERPM);
			g_currentMission:addHelpButtonText(g_i18n:getText("LESSRPM"), InputBinding.LESSRPM);
		end;
	end;
	-- Add manualIgnition Warning Text
	if Input.isKeyPressed(Input.KEY_w) then
		if not self.isMotorStarted then
			g_currentMission:addWarning(g_i18n:getText("IGNITION_WARNING"), 0.015, 0.030);
		end;
	end;
	if Input.isKeyPressed(Input.KEY_s) then
		if not self.isMotorStarted then
			g_currentMission:addWarning(g_i18n:getText("IGNITION_WARNING"), 0.015, 0.030);
		end;
	end;
end;